#!/bin/bash
ROOT="$( cd "$(dirname "$0")" ; pwd -P )"
BUILD_PATH="${ROOT}/ffmpeg/build"
set -e
cd ${ROOT}
if [ -d "./ffmpeg" ]; then
    cd ${ROOT}/ffmpeg
    git pull origin release/5.0
else
    git clone ssh://git@git.agoralab.co/~jiangjie_agora.io/ffmpeg.git
    cd ${ROOT}/ffmpeg
    git checkout release/5.0
fi

cd ${ROOT}
if [ -d "./x264" ]; then
    cd ${ROOT}/x264
    git pull origin stable
else
    git clone ssh://git.agoralab.co/~jiangjie_agora.io/x264.git
    cd ${ROOT}/x264
    git checkout stable
fi

cd ${ROOT}/x264
./configure --prefix="${BUILD_PATH}" --enable-debug --enable-static
make -j4 && make install

echo "${BUILD_PATH}/lib/pkgconfig"
cd ${ROOT}/ffmpeg
PKG_CONFIG_PATH="${BUILD_PATH}/lib/pkgconfig:${PKG_CONFIG_PATH}"
export PKG_CONFIG_PATH
./configure \
    --prefix="${BUILD_PATH}" \
    --enable-libx264 \
    --disable-avdevice \
    --disable-doc --disable-htmlpages --disable-manpages --disable-podpages --disable-txtpages \
    --enable-gpl --enable-nonfree
make -j4 && make install